﻿html {
    background-color: hsl(200, 6%, 20%);
    color: white;
    padding: 0px;
}

h1 {
    position: absolute;
    text-align: center;
    margin: 0px;
    width: 100%;
    font-size: 2rem;
    top: 0.2rem;
    z-index: -1;
}

h2 {
    margin-top: 0.5rem;
    margin-bottom:1rem;
    font-size: 2rem;
    display: flex;
    justify-content: center;
    overflow-wrap: anywhere
}

.h2dag {
    margin-top: 1rem;
    overflow-wrap: anywhere;
}

.ovelser {
    font-size: 1rem;
    margin-top: 1rem;
    width: 90%;
    overflow-wrap: anywhere;
}

.satbox {
    width: 90%;
    display: flex;
    flex-direction: row;
    justify-self: center;
}
    .satbox > button {
        font-size: 0.6rem;
        width: 33.33333%;
        padding: 3%;
    }

.elbox > div > label {
    font-size: 1.5rem;
}

.elbox > div {
    margin-top: 5%;
    margin-bottom: 5%;
}

.inp {
    font-size: 1rem;
    width: 90%;
}

.inpdate {
    font-size: 1.2rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    width: 10rem;
    text-align: center;
}

.note {
    width: 100%;
}
    .note > input {
        width: 90%;
        font-size: 0.8rem;
    }

.settbox, .avstbox, .tidbox {
    font-size: 1rem;
    margin-bottom: 0.5rem;
    width: 90%;
    display: flex;
    justify-content: space-between;
    justify-self: center;
}

    .settbox > div > input {
        font-size: 0.8rem;
        width: 30%;
        text-align: end;
    }

    .avstbox > div > input {
        font-size: 0.8rem;
        width: 60%;
        text-align: end;
    }

    .tidbox > div > input {
        font-size: 0.8rem;
        width: 50%;
        text-align: end;
    }

.padded {
    padding: 2%;
}

.container {
    display: flex;
    width: 100%;
    flex-direction: column;
    margin-top: 5%;
}

.bigbox {
    display: flex;
    justify-content:center;
    width: 100%;
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 5%;
}

.elbox {
    margin-left: 18%;
    margin-bottom: 1rem;
    padding: 3%;
    width: 60%;
    text-align: center;
    box-sizing: content-box;
}

.dispOv {
    display: flex;
    flex-direction: column;
    justify-content: center;

}
    .dispOv > button {
        width: 100%;
        margin-bottom: 2%;
        font-size: 1.2rem;
        padding: 0.5rem;
    }
    .dispOv > input {
        margin-bottom: 3%;
        font-size: 1.2rem;
    }

button:hover {
    box-shadow: black 5px 5px 5px; 
    filter:brightness(0.8);
}

.box > button, .elbox > button, .oktel > button {
    padding: 0.4rem;
}

button, a, .hoverbox > a, .hoverbox > button {
    background-color: hsl(200, 6%, 20%);
    border: black outset 0.1rem;
}

.box, button {
    border-radius: 0.3rem;
    text-decoration: none;
    color: white;
}

.box, nav > button, .container > button, .month > button, .oppneddiv > button, .hoverbox, .oktel {
    background-color: hsl(200, 6%, 30%);
    /*border: solid whitesmoke 0.1px;*/
    box-shadow: 0px 0px 0px 1px lightgray;
}

.hoverbox {
    background-color: hsl(200, 6%, 30%);
    position: absolute;
    width: 90%;
    margin-left: 5%;
    padding-top: 5%;
    padding-bottom: 5%;
/*    border: solid white 1px;*/
    border-radius: 0.4rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    top: 20%;
}

    .hoverbox > .box {
        width: 50%;
        margin-left: 25%;
        margin-top: 5%;
        margin-bottom: 5%;
        text-align: center;
        padding-top: 2rem;
        padding-bottom: 2rem;
        font-size: 1.7rem;
    }

.divclose {
    width: 100%;
    position: absolute;
    top: 0px;
}

    .divclose > button {
        float: right;
        margin-right: 1.5%;
        margin-top: 1.5%;
        font-size: 1rem;
        height: 2rem;
        width: 2rem;
    }

.divDel {
    position: absolute;
    width: 60%;
    margin: 0rem !important;
}
    .divDel > .btnDel {
        float: right;
        font-size: 0.8rem;
        height: 1.5rem;
        width: 1.5rem;
        padding-top: 0px;

        margin-top: -0.5rem;
        margin-right: -0.5rem;
    }
    .divDel > .btnnr {
        float: left;
        font-size: 0.6rem;
        height: 1.3rem;
        padding-top: 0px;
        margin-top: -0.5rem;
        margin-left: -0.5rem;
    }

.rettknapp {
    margin-top: 3%;
    margin-left: 5%;
    margin-right: 5%;
    height: 1.5rem;
    width: 1.5rem;
}

.oppneddiv {
    position: absolute;
    margin-left: 70%;
    display: flex;
    flex-direction: column;
}
    .oppneddiv > button {
        width: 1.5rem;
        height: 1.5rem;
        margin-top: 0.4rem;
    }

.s_container {
    margin-top: 10% !important;
    margin-bottom: 5% !important;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
}

.s_container_item {
    display: flex;
    justify-content: center;
    width: 90%;
}
    
    .s_container_item > button {
        padding: 0.5rem;
        font-size: 1rem;
        margin-bottom: 1rem;
        width: 100%;
    }

    .s_container_item > .btnDel {
        padding: 0rem;
        position: absolute;
        left: 71%;
        height: 1.5rem;
        width: 7%;
        font-size: 0.8rem;
    }

.nedtrekk {
    position: absolute;
    font-size: 0.8rem;
    margin-top: 0.4rem !important;
    width: 60%;
    text-align: end;
}

.oktel {
    background-color: hsl(200, 6%, 25%) !important;
    border-radius: 0.1rem;
    width: 85%;
    margin-left: 5.5%;
    padding: 2%;
    text-align: center;
}
